Update Order V2

Update an order. Supports nested pickup/dropoff structure and route management for optimizing multi-stop deliveries.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

ID of an order.

Body Params
integer

Total value of all items in the order.

string

Merchant-provided delivery identifier. Commonly used for merchants to cross-reference orders from Burq API with their own system. When provided, this is also used as "order number" and used by drivers to find the right order at pickup location.

items
array of objects

List of items to be delivered.

items
integer

Total tip for the order.

required_provider_settings
object

Required provider settings for barcode scanning at pickup and dropoff. Use this to specify barcode scanning requirements that must be supported by the delivery provider.

preferred_provider_settings
object

Preferred provider settings do not affect quote availability nor quote selection. When a quote is selected, either explicitly via quote_id, or automatically based on pricing, any supported settings from this configuration will be passed to the provider. Unsupported settings are ignored. Preferred provider settings are evaluated during reroute.

pickup
object

Pickup location details.

dropoff
object

Dropoff location details.

string

External route reference to group multiple orders that belong to the same route for optimization.

integer

The sequence number of this order within the route. Must be a positive integer.

boolean

Indicates whether items contain an alcoholic ingredient.

float

Length of the order package.

float

Width of the order package.

float

Height of the order package.

float

Weight of the order package.

string
enum

unit for order dimension. Defaults to inches (in) if not provided.

Allowed:
string
enum

unit for order weight. Defaults to pounds (lb) if not provided.

Allowed:
expand
array of strings

An array of valid string values to request additional information as an expanded response by using the expand request parameter.

  * `latest_delivery` - If included in the expand array returns latest delivery associated with the order.
expand
Allowed:
Headers
string
required

Burq API key for your account.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json